Subject: Re: Effect of deletions on indirect buffers (Bug#8219)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Mar 2011 11:01:45 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Chong Yidong <[email-masked]>,  [email-masked],  [email-masked]
> Date: Fri, 11 Mar 2011 18:19:25 -0500
> 
> I.e. any place where we use BUF_PT on something else than
> current_buffer, we have a bug waiting to happen unless we know for sure
> that that buffer is not indirect.

It follows that BUF_PT, when used on other than the current buffer
should update PT if necessary, if that buffer is an indirect buffer,
before returning the value.  And the same with BUF_BEGV, BUF_ZV, etc.

Right?